Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 158555

Summary: On alpha it doaesnt create initrd entry over aboot.conf
Product: [Fedora] Fedora Reporter: Balint Cristian <cristian.balint>
Component: bootyAssignee: Peter Jones <pjones>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 4CC: mattdm
Target Milestone: ---   
Target Release: ---   
Hardware: alpha   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-01-05 19:29:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Balint Cristian 2005-05-23 15:02:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.0 (like Gecko)

Description of problem:
 On alpha it doaesnt create initrd entry over aboot.conf. Booty is called by anaconda   
and after instaling from a bootable iso the AlphaCore it doesnt create the initrd section   
in the kernel line of aboot.conf.   
 [root@alpha disk]# cat booty-aboot.patch  
  
This pach fix it.  
--- booty-0.51/bootloaderInfo.py.orig   2005-05-08 12:41:36.000000000 +0300  
+++ booty-0.51/bootloaderInfo.py        2005-05-08 12:41:09.000000000 +0300  
@@ -1427,8 +1427,8 @@  
  
             # See if we can come up with an initrd argument that exists  
             initrd = booty.makeInitrd (kernelTag, instRoot)  
-            if os.access(instRoot + initrd, os.R_OK):  
-                f.write(" initrd=%sinitrd-%s.img" %(kernelPath, kernelTag))  
+            # if os.access(instRoot + initrd, os.R_OK):  
+            f.write(" initrd=%sinitrd-%s.img" %(kernelPath, kernelTag))  
  
             realroot = getRootDevName(initrd, fsset, rootDevice, instRoot)  
             f.write(" root=%s" %(realroot,))  
  
  I simply comment out the verification of initrd because it is wrong and booty for some  
reason olways think that we have initrd on the sistem. I choose to kill the verification  
because on modern fedoras we always have initrd and of course i am not python  
expert to see why "if os.access(instRoot + initrd, os.R_OK):" not work properly., so i 
choose quickest path. 
  If have better idea to fix i will apreciate it a lot. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Build a CD for alpha with unpatched booty and see after the instal if initrd is loaded. 

Additional info:

 AlphaCore is an project to port clasic Fedora Core for alpha. 
http://www.alphalinux.org 
 
 Tank you !

Comment 1 Christian Iseli 2007-01-22 10:02:36 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 2 Balint Cristian 2007-01-22 12:16:17 UTC
Hello,
 Well my patch isnt quite correct, first i should investigate what os.access 
is doing there, and than come up for an alpha specific stuff.
  Just commenting out code isnt really fix, i think

  And i should check latest booty too.

I close this bug for now, soon i come up with the right fix.

~cristian

Comment 3 Matthew Miller 2007-04-06 15:17:45 UTC
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.